CS::Math::Noise::Model::Plane Class Reference (Crystal Space 2.0 Public API Reference)

| ## Public API Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
CS::Math::Noise::Model::Plane Class Reference
Models

Model that defines the surface of a plane. More...

`#include <cstool/noise/model/plane.h>`

List of all members.

## Public Member Functions
const CS::Math::Noise::Module::Module & | GetModule () const
| Returns the noise module that is used to generate the output values.
double | GetValue (double x, double z) const
| Returns the output value from the noise module given the ( x, z ) coordinates of the specified input value located on the surface of the plane.
| Plane ()
| Constructor.
| Plane (const CS::Math::Noise::Module::Module &module)
| Constructor.
void | SetModule (const CS::Math::Noise::Module::Module &module)
| Sets the noise module that is used to generate the output values.

## Detailed Description

Model that defines the surface of a plane.

This model returns an output value from a noise module given the coordinates of an input value located on the surface of an ( x, z ) plane.

To generate an output value, pass the ( x, z ) coordinates of an input value to the GetValue() method.

This model is useful for creating:

- two-dimensional textures
- terrain height maps for local areas

This plane extends infinitely in both directions.

Definition at line 53 of file plane.h.

## Constructor & Destructor Documentation

CS::Math::Noise::Model::Plane::Plane | ( |  | ) |

Constructor.

CS::Math::Noise::Model::Plane::Plane | ( | const CS::Math::Noise::Module::Module & | module | ) |

Constructor.

Parameters:

  module | The noise module that is used to generate the output values.

## Member Function Documentation

const CS::Math::Noise::Module::Module& CS::Math::Noise::Model::Plane::GetModule | ( |  | ) | const`[inline]`

Returns the noise module that is used to generate the output values.

Returns:
  A reference to the noise module.

Precondition:
  A noise module was passed to the SetModule() method.

Definition at line 73 of file plane.h.

double CS::Math::Noise::Model::Plane::GetValue | ( | double | x,
|  | double | z
| ) |  | const

Returns the output value from the noise module given the ( x, z ) coordinates of the specified input value located on the surface of the plane.

Parameters:

  x | The x coordinate of the input value.
  z | The z coordinate of the input value.

Returns:
  The output value from the noise module.

Precondition:
  A noise module was passed to the SetModule() method.

This output value is generated by the noise module passed to the SetModule() method.

void CS::Math::Noise::Model::Plane::SetModule | ( | const CS::Math::Noise::Module::Module & | module | ) | `[inline]`

Sets the noise module that is used to generate the output values.

Parameters:

  module | The noise module that is used to generate the output values.

This noise module must exist for the lifetime of this object, until you pass a new noise module to this method.

Definition at line 101 of file plane.h.

The documentation for this class was generated from the following file:

- cstool/noise/model/plane.h